[coreboot] HT revision 1.02 in K8

Carl-Daniel Hailfinger c-d.hailfinger.devel.2006 at gmx.net
Mon Nov 3 23:02:36 CET 2008

Hi Marc,

On 03.11.2008 22:21, Marc Jones wrote:
> Carl-Daniel Hailfinger wrote:
>> Hi Marc,
>> maybe you can shed some light on the problem below.
>> Basically, the K8 reports in lspci that it supports HT 1.02, but the
>> BKDG says it uses HT 1.03. And HT 1.03 is the first publicly
>> available spec.
> I am not sure why you are blowing this out of proportion.

I'm very sorry if my questions gave that impression.

> It is a warning. It isn't a problem. If you examine the freely
> available K8 BKDG, you will find that registers in the K8 match the
> 1.03 revision of the spec.

Thanks for confirming this.

> Thus, the settings read by lspci are decoded correctly.

Actually, the settings decoded by lspci are incomplete because of the
version mismatch. I'll send a patch to lspci maintainers with a workaround.



More information about the coreboot mailing list